Skip to main content
PATCH
Update ban

Authorizations

Authorization
string
header
required

A workspace API key from Settings › Developer.

Query Parameters

workspace_id
string
required

The workspace: the 24-character ID in its Ankra address, or its UUID.

Body

application/json
id
string<uuid>
required

The ban's ID.

ban_reason
string

New reason.

private_reason
string

New private reason.

is_active
boolean

false lifts it.

Response

OK.

id
string<uuid>
ban_number
integer
player_username
string
player_roblox_id
integer | null
banned_by_username
string | null
ban_reason
string
source
string
ban_type
string
Example:

"permanent"

duration_seconds
integer | null
is_active
boolean
created_at
string<date-time>